ASA-2019-00147 – libssh2: Out-of-bounds read com payloads especialmente criados devido ao uso não verificado de _libssh2_packet_require e _libssh2_packet_requirev


For the English version of this alert, click here.

Allele Security Alert

ASA-2019-00147

Identificador(es)

ASA-2019-00147, CVE-2019-3859

Título

Out-of-bounds read com payloads especialmente criados devido ao uso não verificado de _libssh2_packet_require e _libssh2_packet_requirev

Fabricante(s)

The libssh2 project

Produto(s)

libssh2

Versão(ões) afetada(s)

libssh2 versões 0.1 até e incluindo 1.8.0

Versão(ões) corrigida(s)

libssh2 1.8.1

Prova de conceito

Desconhecida

Descrição

Um servidor poderia enviar um pacote parcial especialmente criado em resposta a vários comandos como: troca de chaves sha1 e sha226, lista de autenticação do usuário, resposta de senha de autenticação do usuário, resposta de autenticação de chave pública, canal startup/open/forward/ setenv/request pty/x11 e início da sessão. O resultado seria um out-of-bounds read (CWE-130).

Detalhes técnicos

Desconhecido

Créditos

Chris Coulson (Canonical Ltd)

Referência(s)

libssh2 Security Advisory: CVE-2019-3859
https://www.libssh2.org/CVE-2019-3859.html

[SECURITY ADVISORIES] libssh2
https://seclists.org/oss-sec/2019/q1/184

Security fixes (#315) · libssh2/libssh2@dc109a7
https://github.com/libssh2/libssh2/commit/dc109a7f518757741590bb993c0c8412928ccec2

Security fixes by willco007 · Pull Request #315 · libssh2/libssh2
https://github.com/libssh2/libssh2/pull/315

CVE-2019-3859
https://access.redhat.com/security/cve/CVE-2019-3859

CVE-2019-3859
https://security-tracker.debian.org/tracker/CVE-2019-3859

CVE-2019-3859 in Ubuntu
https://people.canonical.com/~ubuntu-security/cve/CVE-2019-3859.html

CVE-2019-3859 | SUSE
https://www.suse.com/security/cve/CVE-2019-3859

CVE-2019-3859
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3859

CVE-2019-3859
https://nvd.nist.gov/vuln/detail/CVE-2019-3859

Se encontrou algum erro neste alerta ou deseja uma análise compreensiva, entre em contato.

Última modificação: 19 março 2019

Não somos responsáveis por qualquer perda de dados, corrupção de dispositivos ou qualquer outro tipo de problema devido ao uso de qualquer informação mencionada em nossos alertas de segurança.